Bug 41040 - :before/:after content should not become part of a ruby base
Summary: :before/:after content should not become part of a ruby base
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Roland Steiner
URL:
Keywords:
Depends on:
Blocks: 40895
  Show dependency treegraph
 
Reported: 2010-06-22 21:44 PDT by Roland Steiner
Modified: 2010-10-13 02:15 PDT (History)
1 user (show)

See Also:


Attachments
test case (299 bytes, text/html)
2010-06-22 21:44 PDT, Roland Steiner
no flags Details
patch - explicitly handle generated content (31.62 KB, patch)
2010-07-08 01:11 PDT, Roland Steiner
no flags Details | Formatted Diff | Diff
patch - explicitly handle generated content (skip on gtk & qt) (32.68 KB, patch)
2010-07-08 19:40 PDT, Roland Steiner
no flags Details | Formatted Diff | Diff
Patch (35.75 KB, patch)
2010-09-03 01:05 PDT, Roland Steiner
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Steiner 2010-06-22 21:44:32 PDT
Created attachment 59475 [details]
test case

Text content generated by :before and :after selectors should not become part of any annotated ruby base. 
I.e., for <ruby>base<rt>text</rt></ruby>, "text" should annotate only/exatly "base", regardless whether there is additional :before or :after content.

Added a test case.
Comment 1 Roland Steiner 2010-07-08 01:11:57 PDT
Created attachment 60847 [details]
patch - explicitly handle generated content
Comment 2 Roland Steiner 2010-07-08 19:40:43 PDT
Created attachment 60998 [details]
patch - explicitly handle generated content (skip on gtk & qt)
Comment 3 Roland Steiner 2010-07-08 21:58:53 PDT
Addendum to patch: No Windows baseline for the new test yet.

(Also, please note that I will be away for the next 2 weeks on vacation and can't respond immediately to reviews and queries.)
Comment 4 Roland Steiner 2010-09-03 01:05:30 PDT
Created attachment 66477 [details]
Patch
Comment 5 Roland Steiner 2010-09-03 01:07:46 PDT
Uploaded a new patch that subsumes the fix from https://bugs.webkit.org/show_bug.cgi?id=43722. Since this changes the code that was added by that patch I think I should request a new review.

Also, extended the layout test from 43722 to also test for floated ruby elements (making them block elements) and adding a similar test for :after content.
Comment 6 Roland Steiner 2010-10-13 02:15:28 PDT
Committed as WK r69642.